Subject: Your registration #454566

From: [email-masked]
Date: Tue, 30 Jun 2009 11:12:12 -0700 (PDT)

Tell a friend
|
Download latest version

See this email as a webpage

Hello!

Shipped Privately And Discreetly To Your Door!

We want to put a great big grin on your face in 2009. You'll be to rejoice all year.

Unsubscribe
|
Lost Password |

Account Settings |
Help
|
Terms of Service
|
Privacy

Ottho Heldringstraat 1, 69090 AZ Amsterdam, The Netherlands

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n5PBCYUd081868 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Thu, 25 Jun 2009 04:12:34 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n5PBCXdD081867; Thu, 25 Jun 2009 04:12:33 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-2.gradwell.net (v-smtp-auth-relay-2.gradwell.net [79.135.125.41]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n5PBCLqo081839 for ; Thu, 25 Jun 2009 04:12:32 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster&pop3#clerew&man$ac$uk) by v-smtp-auth-relay-2.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.290) id 4a435b94.13f5.7c for [email-masked]; Thu, 25 Jun 2009 12:12:20 +0100 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id n5PBC22u016679 for ; Thu, 25 Jun 2009 12:12:02 +0100 (BST)
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id n5PBC24E016676 for [email-masked]; Thu, 25 Jun 2009 12:12:02 +0100 (BST)
To: [email-masked]
Xref: clerew local.usefor:25114
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: USEAGE referenced for Archive
Message-ID:
X-Newsreader: NN version 6.5.2 (NOV)
References:
Date: Thu, 25 Jun 2009 10:48:36 GMT
Lines: 54
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In =?iso-8859-15?Q?Julien_=C9LIE?= writes:

>Hi,

>3.2.2. Archive

> No s are currently defined; if present, they can be
> ignored. Further discussion of the use of the Archive header field
> appears in [USEAGE].

>I do not see anything in draft-ietf-usefor-useage-01 about archives.
>Is it still OK to reference it in USEFOR? (for the future?)

The following text was planned for useage-02. Maybe I will even get around
to useage-02 :-).

9.1.4. Archive

There are various sites which attempt to keep a permanent (or at
least exceedingly long term) archive of every article posted to
Usenet (or to some part of it) and to make them available for public
searching and download. Clearly, this has Copyright implications
which go beyond the normal presumptions set out in P-7.3. Some
posters take great exception to having their words on public display
for ever (whereas other posters find it a useful resource of
information).
[It has also been suggested that P-7.3 should be moved into this
document.]

Posters who wish to exercise their right to withold permission for
such sites to redistribute their words may include the header
"Archive: no", and likewise "Archive: yes" explicitly to allow it
(F-3.2.2). The effect of omitting this header entirely is not
defined, but posters should be aware that the current practice is for
such sites to assume that such absence implies consent, and to go
ahead and archive it anyway.

NOTE: The header "X-No-Archive: yes" (somewhat confusingly
named) has hitherto been used for this purpose and archiving
sites will doubtless continue to take note of it, but in writing
[RFC5536] the opportunity was taken to standardize it without
that negative in it.

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n5OJarUB025430 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 24 Jun 2009 12:36:53 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n5OJaraC025429; Wed, 24 Jun 2009 12:36:53 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from 27.mail-out.ovh.net (27.mail-out.ovh.net [91.121.30.210]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n5OJafik025417 for ; Wed, 24 Jun 2009 12:36:52 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 23664 invoked by uid 503); 24 Jun 2009 20:51:46 -0000
Received: from b9.ovh.net (HELO mail91.ha.ovh.net) (213.186.33.59) by 27.mail-out.ovh.net with SMTP; 24 Jun 2009 20:51:46 -0000
Received: from b0.ovh.net (HELO queue-out) (213.186.33.50) by b0.ovh.net with SMTP; 24 Jun 2009 19:36:35 -0000
Received: from aaubervilliers-151-1-61-130.w83-112.abo.wanadoo.fr (HELO Iulius) ([email-masked]) by ns0.ovh.net with SMTP; 24 Jun 2009 19:36:34 -0000
Message-ID:
From: =?iso-8859-15?Q?Julien_=C9LIE?=
To: "Usefor WG"
Subject: USEAGE referenced for Archive
Date: Wed, 24 Jun 2009 21:36:37 +0200
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="iso-8859-15"; reply-type=original
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6001.18000
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6001.18049
X-Ovh-Tracer-Id: 9241949387110022585
X-Ovh-Remote: 83.112.156.130 (aaubervilliers-151-1-61-130.w83-112.abo.wanadoo.fr)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-Spam-Check: DONE|H 0.5/N
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi,

3.2.2. Archive

No s are currently defined; if present, they can be
ignored. Further discussion of the use of the Archive header field
appears in [USEAGE].

I do not see anything in draft-ietf-usefor-useage-01 about archives.
Is it still OK to reference it in USEFOR? (for the future?)

--
Julien ÉLIE

« Un père à son fils : « Finalement, ta mère et moi, on a été heureux
pendant 25 ans. Après, on s'est rencontré... »

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n5FGIWO1025546 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 15 Jun 2009 09:18:32 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n5FGIWoK025545; Mon, 15 Jun 2009 09:18:32 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-6.gradwell.net (v-smtp-auth-relay-6.gradwell.net [79.135.125.112]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n5FGIKiP025536 for ; Mon, 15 Jun 2009 09:18:32 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster#pop3^clerew*man*ac*uk) by v-smtp-auth-relay-6.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.290) id 4a3672d3.2675.30e for [email-masked]; Mon, 15 Jun 2009 17:12:03 +0100 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id n5FGC2sC007631 for ; Mon, 15 Jun 2009 17:12:02 +0100 (BST)
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id n5FGC2a1007628 for [email-masked]; Mon, 15 Jun 2009 17:12:02 +0100 (BST)
To: [email-masked]
Xref: clerew local.usefor:25112
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: You can't win!
Message-ID:
X-Newsreader: NN version 6.5.2 (NOV)
References:
Date: Mon, 15 Jun 2009 13:03:41 GMT
Lines: 53
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In John Stanley writes:

>>>There is a third possibility, which I have seen in action: ignores
>>>application/news-transmission header altogether and posts entire
>>>encapsulated message as the body of a new article with locally-generated
>>>headers.

>3. The HUMAN reading and approving the email was presented with an
> encapsulated news message as the "body" of the submission, which
> differs from unencapsulated submissions in that it contains the headers
> for the news message, including any "references" headers that MUST be
> maintained in followups. That should be a red-flag to anyone actually
> looking at the submission.

Ah! So it was a human, who should have known better, and not some broken
script :-( .

>Yes, it knows the intended newsgroup because it was mailed to the
>moderators submission address. The newsgroups header in email should be
>ignored because it has no well-defined meaning. This points out exactly
>why encapsulation should be the only defined means of forwarding messages
>to a moderator from a news agent. That USEPRO promotes ambiguous behaviour
>is a bug, not a feature.

Yes, we are all agreed that encapsulation is a _much_better_ way to
submit articles to a moderator.

But, unfortunately, the ghastly method of just putting a Newgroups (etc)
in the email is so widely used currently, and moreover a large number of
moderators are totally unaware of the 'proper' way to do it, that this WG
decided, some way back, that is was better to retain that ghastly method
rather than suddenly to break what was actually working reasonably well.

My message, which started this thread, was just to point out that adding a
Content-Type: message/news-transmission could actually break some
currently-working encapsulation-safe moderators' scripts, contrary to what
we had earlier assumed, and contrary to what USEPRO currently implies.

AND to ask whether anybody wanted to tweak our current wording during
AUTH48, which is our last chance to do so. But I hear no such suggestions
so far from this list.

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n5BIuEnj039827 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Thu, 11 Jun 2009 11:56:14 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n5BIuE4s039826; Thu, 11 Jun 2009 11:56:14 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from mail01.peak.org (mail01.peak.org [69.59.192.41]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n5BIu2DV039811 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO) for ; Thu, 11 Jun 2009 11:56:13 -0700 (MST) (envelope-from [email-masked])
Received: from smtp-out.server.peak.org (smtp-out.server.peak.org [172.20.0.130]) by mail01.peak.org (8.12.10/8.12.8) with ESMTP id n5BIu1Ii025300 (version=TLSv1/SSLv3 cipher=AES256-SHA bits=256 verify=NO) for ; Thu, 11 Jun 2009 11:56:01 -0700 (PDT)
Received: from shell.peak.org (shell.server.peak.org [172.20.0.89]) by smtp-out.server.peak.org (8.13.1/8.13.1) with ESMTP id n5BItsD6011354 for ; Thu, 11 Jun 2009 11:55:55 -0700
Received: from shell.peak.org (localhost.localdomain [127.0.0.1]) by shell.peak.org (8.13.8/8.13.8) with ESMTP id n5BItsKA018863 for ; Thu, 11 Jun 2009 11:55:54 -0700
Received: from localhost (stanley@localhost) by shell.peak.org (8.13.8/8.13.1/Submit) with ESMTP id n5BItqvw018859 for ; Thu, 11 Jun 2009 11:55:54 -0700
X-Authentication-Warning: shell.peak.org: stanley owned process doing -bs
Date: Thu, 11 Jun 2009 11:55:52 -0700 (PDT)
From: John Stanley
To: [email-masked]
Subject: Re: You can't win!
Message-ID:
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; format=flowed; charset=US-ASCII
X-smtp-out.server.peak.org-MailScanner-Information: Please contact the ISP for more information
X-smtp-out.server.peak.org-MailScanner: Found to be clean
X-smtp-out.server.peak.org-MailScanner-SpamCheck: not spam, SpamAssassin (not cached, score=-4.399, required 6, autolearn=not spam, ALL_TRUSTED -1.80, BAYES_00 -2.60)
X-smtp-out.server.peak.org-MailScanner-From: [email-masked]
X-Spam-Status: No
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

"Charles Lindsey" :

>>There is a third possibility, which I have seen in action: ignores
>>application/news-transmission header altogether and posts entire
>>encapsulated message as the body of a new article with locally-generated
>>headers.

>That is what would happen if there were also a Newsgroups header in the
>top-level email (and correctly so).

1. There was no "newsgroups" header in the "top-level email".

2. "Newsgroups" as a header is undefined in email and as such should be
ignored. Rather, it is now multiply defined in practice and cannot be
relied upon for anything. The attempt at implicitely defining it in
USEPRO 3.5.1 "Forwarding Messages to a Moderator" is stepping outside
the scope of USEFOR by defining an email header without actually
defining one. RFC2076 covers this dichotomy.

3. The HUMAN reading and approving the email was presented with an
encapsulated news message as the "body" of the submission, which
differs from unencapsulated submissions in that it contains the headers
for the news message, including any "references" headers that MUST be
maintained in followups. That should be a red-flag to anyone actually
looking at the submission.

>Or are you saying that it knows the intended newsgroup because it was
>emailed to that group's submission address. In which case might it not
>happily post and spam emailed to that address? That would be seriously
>broken too :-( .

Yes, it knows the intended newsgroup because it was mailed to the
moderators submission address. The newsgroups header in email should be
ignored because it has no well-defined meaning. This points out exactly
why encapsulation should be the only defined means of forwarding messages
to a moderator from a news agent. That USEPRO promotes ambiguous behaviour
is a bug, not a feature.

SPAM is not an issue; if the moderator chooses to approve spam that
appears in that mailbox, it is an issue of the moderator's good sense, not
adherence to RFC.

(The ambiguous nature of "newsgroups" in email comes not because
newsgroups is not defined in news, it comes because there are multiple
entry methods for email sent to the moderator's submission address. If you
could ascertain that a certain email MUST have originated as a submission
to a moderated group via a news agent, the ambiguity would dissappear.
Since any email in a moderator's mailbox can come from any source, you
can't ascribe ONLY a news-specific meaning to Newsgroups in that email.
You must ascribe the EMAIL meaning, which is "none".)

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n5BGCXHG029335 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Thu, 11 Jun 2009 09:12:33 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n5BGCXRS029334; Thu, 11 Jun 2009 09:12:33 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-6.gradwell.net (v-smtp-auth-relay-6.gradwell.net [79.135.125.112]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n5BGCLng029306 for ; Thu, 11 Jun 2009 09:12:32 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster$pop3*clerew&man#ac^uk) by v-smtp-auth-relay-6.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.290) id 4a312ce3.2b26.275 for [email-masked]; Thu, 11 Jun 2009 17:12:19 +0100 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id n5BGC1KY029620 for ; Thu, 11 Jun 2009 17:12:02 +0100 (BST)
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id n5BGC1UT029616 for [email-masked]; Thu, 11 Jun 2009 17:12:01 +0100 (BST)
To: [email-masked]
Xref: clerew local.usefor:25110
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: You can't win!
Message-ID:
X-Newsreader: NN version 6.5.2 (NOV)
References:
Date: Thu, 11 Jun 2009 11:26:08 GMT
Lines: 38
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In John Stanley writes:

>"Charles Lindsey" wrote:

>>Now I have found two newsgroups where this is not quite working.

>> 1. Newsgroup #1 ... bit-bucket ...

>> 2. Newsgroup #2 ... returns to sender ...

>There is a third possibility, which I have seen in action: ignores
>application/news-transmission header altogether and posts entire
>encapsulated message as the body of a new article with locally-generated
>headers.

That is what would happen if there were also a Newsgroups header in the
top-level email (and correctly so).

Or are you saying that it finds a Newsgroups header in the encapsulated
part, and then uses that to know which group it is aimed at, and then
posts it to that group(s) still encapsulated. That would be seriously
brokem behaviour.

Or are you saying that it knows the intended newsgroup because it was
emailed to that group's submission address. In which case might it not
happily post and spam emailed to that address? That would be seriously
broken too :-( .

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n5AHEn5G055779 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 10 Jun 2009 10:14:49 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n5AHEnT4055778; Wed, 10 Jun 2009 10:14:49 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from mail01.peak.org (mail01.peak.org [69.59.192.41]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n5AHEaxT055764 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO) for ; Wed, 10 Jun 2009 10:14:48 -0700 (MST) (envelope-from [email-masked])
Received: from smtp-out.server.peak.org (smtp-out.server.peak.org [172.20.0.130]) by mail01.peak.org (8.12.10/8.12.8) with ESMTP id n5AHEYIi081022 (version=TLSv1/SSLv3 cipher=AES256-SHA bits=256 verify=NO) for ; Wed, 10 Jun 2009 10:14:34 -0700 (PDT)
Received: from shell.peak.org (shell.server.peak.org [172.20.0.89]) by smtp-out.server.peak.org (8.13.1/8.13.1) with ESMTP id n5AHEA39027644 for ; Wed, 10 Jun 2009 10:14:10 -0700
Received: from shell.peak.org (localhost.localdomain [127.0.0.1]) by shell.peak.org (8.13.8/8.13.8) with ESMTP id n5AHEAsT002252 for ; Wed, 10 Jun 2009 10:14:10 -0700
Received: from localhost (stanley@localhost) by shell.peak.org (8.13.8/8.13.1/Submit) with ESMTP id n5AHE9Rf002249 for ; Wed, 10 Jun 2009 10:14:09 -0700
X-Authentication-Warning: shell.peak.org: stanley owned process doing -bs
Date: Wed, 10 Jun 2009 10:14:09 -0700 (PDT)
From: John Stanley
To: [email-masked]
Subject: Re: You can't win!
Message-ID:
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; format=flowed; charset=US-ASCII
X-smtp-out.server.peak.org-MailScanner-Information: Please contact the ISP for more information
X-smtp-out.server.peak.org-MailScanner: Found to be clean
X-smtp-out.server.peak.org-MailScanner-SpamCheck: not spam, SpamAssassin (not cached, score=-4.399, required 6, ALL_TRUSTED -1.80, BAYES_00 -2.60)
X-smtp-out.server.peak.org-MailScanner-From: [email-masked]
X-Spam-Status: No
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

"Charles Lindsey" wrote:

>Now I have found two newsgroups where this is not quite working.

> 1. Newsgroup #1 ... bit-bucket ...

> 2. Newsgroup #2 ... returns to sender ...

There is a third possibility, which I have seen in action: ignores
application/news-transmission header altogether and posts entire
encapsulated message as the body of a new article with locally-generated
headers.

This is, apparently, "stump", and the moderators aren't aware enough to
notice the problem. Interestingly enough, the same person is involved in
both newsgroups 2 and 3.

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n59GCVk8078810 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Tue, 9 Jun 2009 09:12:31 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n59GCVKh078809; Tue, 9 Jun 2009 09:12:31 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-1.gradwell.net (v-smtp-auth-relay-1.gradwell.net [79.135.125.40]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n59GCJPH078791 for ; Tue, 9 Jun 2009 09:12:30 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster#pop3&clerew&man$ac$uk) by v-smtp-auth-relay-1.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.290) id 4a2e89e2.aaa.155 for [email-masked]; Tue, 9 Jun 2009 17:12:18 +0100 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id n59GCCuv024513 for ; Tue, 9 Jun 2009 17:12:12 +0100 (BST)
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id n59GCBUV024510 for [email-masked]; Tue, 9 Jun 2009 17:12:11 +0100 (BST)
To: [email-masked]
Xref: clerew local.usefor:25107
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: Case-sensitivity in newsgroup names and message-IDs
Message-ID:
X-Newsreader: NN version 6.5.2 (NOV)
References: <760366CC8D864B7AB7BBC365A2AD8BEA@Iulius> <[email-masked]>
Date: Tue, 9 Jun 2009 11:28:07 GMT
Lines: 34
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In <[email-masked]> Russ Allbery writes:

>"Charles Lindsey" writes:

>> USEFOR makes it clear that all newsgroups names SHOULD be in LC, but
>> recognizes that some existing ones might have UC in them, in which
>> case offering to NNTP (or to whatever else) exactly what the
>> 'official' name of the group is (as it appears in a checkgroups, if
>> you are lucky enough to be in a hierarchy that publishes those) is
>> likely to succeed (mostly). But USEFOR makes it clear that all _new_
>> groups MUST be LC throughout.
>>
>> So the only thing you are entitled to "expect" is that if you offfer
>> LC names in order to retrieve LC groups, then that will _always_ work.
>> Anything else is problematical, so don't do it.

>The problem is, we don't actually say this anywhere that I can see, and
>historically several NNTP documents have claimed that newsgroup names
>are case-insensitive. The current NNTP standard says:

I think it is what section 3.1.4 of USEFOR is _trying_ to say (at least,
that is what my analysis was based on). Maybe a little further
word-smithing in USEFOR would help clarifiy things?

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n59ApDAo059033 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Tue, 9 Jun 2009 03:51:13 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n59ApD4n059032; Tue, 9 Jun 2009 03:51:13 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-4.gradwell.net (v-smtp-auth-relay-4.gradwell.net [79.135.125.43]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n59Ap10V059018 for ; Tue, 9 Jun 2009 03:51:12 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster#pop3#clerew$man#ac$uk) by v-smtp-auth-relay-4.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.290) id 4a2e3acc.107f.e7; Tue, 9 Jun 2009 11:34:52 +0100 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id n59AYpw6003684; Tue, 9 Jun 2009 11:34:52 +0100 (BST)
Date: Tue, 09 Jun 2009 11:34:51 +0100
To: [email-masked]
Subject: You can't win!
From: "Charles Lindsey"
Cc: [email-masked]
Content-Type: text/plain; format=flowed; delsp=yes; charset=iso-8859-1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Message-ID:
User-Agent: Opera Mail/9.25 (SunOS)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

USEPRO (now in AUTH48 before release as an RFC) allows email submission to
moderators either with the Newsgroups header amongst the email headers, or
with the news article encapsulated entirely within the body of the email
(a method which has been used by CNEWS and accepted by many/most
moderators for many years).

USEPRO has added a Content-Type: application/news-transmission to the
email header for the 2nd (encapsulation) method, the idea being that
existing moderation software would be MIME-ignorant, ignore that header,
and treat it just like it always treated CNEWS encapsulated submissions.

Although USEPRO recommends using the first method (since it is better
supported by current moderation software), it REQUIRES that moderators
accept both. Nevertheless, I have left my CNEWS working the old way, just
to monitor how well moderators are tolerating the encapsulated form, and
to prod them if needs be.

Now I have found two newsgroups where this is not quite working.

1. Newsgroup #1 has correctly implemented recognition of
application/news-transmission, but regards absence of that, together with
lack of a Newsgroups header in the email headers, as an indication of
spam, and sends it to the bit bucket (so discarding CNEWS submissions in
the old style).

So I upgraded my CNEWS to insert that Content-Type header (so it is now
USEPRO compliant), but that created another problem:

2. Newsgroup #2 is unaware of application/news-transmission, but has in
the past accepted the original CNEWS format (and still does, AFAIK).
However, it is not MIME-ignorant, as we had assumed existing software
would be. It first interprets the unrecognized
application/news-transmission as application/octet-stream, and then treats
application/octet-stream as an indication of a binary, and that newsgroup
does not accept binaries. Fortunately, it returns the article to the
sender rather than to the bit bucket, so I immediately became aware of the
problem. BTW, the moderator of Newsgroup #2 is one tskirvin.

So, as the subject says, You Can't Win :-(

I think the only way forward is for modertors to be encouraged to start
recognizing application/news-transmission. But perhaps some warning in
USEPRO might be in order too (which is possible, given we are still in
AUTH 48).

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131
Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked]      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n58J8ZQj017367 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 8 Jun 2009 12:08:35 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n58J8Zp3017366; Mon, 8 Jun 2009 12:08:35 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from 42.mail-out.ovh.net (42.mail-out.ovh.net [213.251.189.42]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n58J8XPh017360 for ; Mon, 8 Jun 2009 12:08:34 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 15024 invoked by uid 503); 8 Jun 2009 19:08:46 -0000
Received: from b6.ovh.net (HELO mail240.ha.ovh.net) (213.186.33.56) by 42.mail-out.ovh.net with SMTP; 8 Jun 2009 19:08:46 -0000
Received: from b0.ovh.net (HELO queue-out) (213.186.33.50) by b0.ovh.net with SMTP; 8 Jun 2009 19:08:27 -0000
Received: from aaubervilliers-151-1-23-184.w83-114.abo.wanadoo.fr (HELO Iulius) ([email-masked]) by ns0.ovh.net with SMTP; 8 Jun 2009 19:08:24 -0000
Message-ID:
From: =?iso-8859-1?Q?Julien_=C9LIE?=
To: "Usefor WG"
References: <9C06311F70364908A77C198DE0BA7108@Iulius><[email-masked]><0FEFB6325BA64B7AA58D83451B96522C@Iulius><[email-masked]> <[email-masked]>
In-Reply-To: <[email-masked]>
Subject: Re: Arguments to checkgroups control messages
Date: Mon, 8 Jun 2009 21:08:29 +0200
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="iso-8859-1"; reply-type=original
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6001.18000
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6001.18049
X-Ovh-Tracer-Id: 7036874417854217657
X-Ovh-Remote: 83.114.142.184 (aaubervilliers-151-1-23-184.w83-114.abo.wanadoo.fr)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-Spam-Check: DONE|H 0.5/N
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi Russ,

> + For complex cases with multiple <chkscope> arguments,
> + start from an empty list of groups, include all groups in the
> + checkgroups control message matching <chkscope> arguments
> + without a "!" prefix, and then exclude all groups matching
> + <chkscope> arguments with a "!" prefix. Follow this method
> + regardless of the order of the <chkscope> arguments in the
> + Control header field.

That's pretty clear.
This algorithm is fine and easy to follow. Thanks!

--
Julien ÉLIE

« O fortunatos nimium, sua si bona norint, agricolas. » (Virgile)

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n58J3PMu017103 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 8 Jun 2009 12:03:25 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n58J3PXU017102; Mon, 8 Jun 2009 12:03:25 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp3.stanford.edu (smtp3.Stanford.EDU [171.67.219.83]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n58J3E7P017091 for ; Mon, 8 Jun 2009 12:03:25 -0700 (MST) (envelope-from [email-masked])
Received: from smtp3.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id 839FE1A0BF0 for ; Mon, 8 Jun 2009 12:03:14 -0700 (PDT)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp3.stanford.edu (Postfix) with ESMTP id 5DF5E1A0BEF for ; Mon, 8 Jun 2009 12:03:14 -0700 (PDT)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id 0D83DE78DC; Mon, 8 Jun 2009 12:03:14 -0700 (PDT)
To: "Usefor WG"
Subject: Re: multipart/mixed with checkgroups
In-Reply-To: ("Julien =?iso-8859-1?Q?=C9LIE=22's?= message of "Mon\, 8 Jun 2009 20\:09\:38 +0200")
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.3 (gnu/linux)
References: <589228117B674E629B28094618A6BAB1@Iulius> <[email-masked]> <[email-masked]> <[email-masked]>
From: Russ Allbery
Organization: The Eyrie
Date: Mon, 08 Jun 2009 12:03:14 -0700
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Julien =C9LIE writes:

> However, as for checkgroups, I do not see the point in seeking
> application/news-checkgroups. Indeed, multipart is not said to be
> possible and we want to honour the checkgroups body, be it
> application/news-checkgroups or not. That's why I asked if it could
> be added in USEPRO that multipart/mixed could be sent the same way
> application/news-groupinfo is used for newgroup control articles.
> Otherwise, there is not much to do with that new MIME type... This
> addition would prepare for a future version of the specification
> because new implementations will try to look for an
> application/news-checkgroups entity.

The point of specifying a MIME type from my perspective was that it let
us create special rules about the body syntax, which one is not really
supposed to do without a corresponding MIME type for the data. I agree
that news server software, for backward compatibility, probably need to
treat checkgroups the same regardless of the MIME type of the body.
(Although if the MIME type is application/news-checkgroups, you can be
somewhat more confident that the generator isn't doing weird things that
aren't supported by the official syntax.)

--=20
Russ Allbery ([email-masked])

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n58IPUbc015195 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 8 Jun 2009 11:25:30 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n58IPUYF015194; Mon, 8 Jun 2009 11:25:30 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp1.stanford.edu (smtp1.Stanford.EDU [171.67.219.81]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n58IPJWk015181 for ; Mon, 8 Jun 2009 11:25:29 -0700 (MST) (envelope-from [email-masked])
Received: from smtp1.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id 7CF17178B0F for ; Mon, 8 Jun 2009 11:25:19 -0700 (PDT)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp1.stanford.edu (Postfix) with ESMTP id 576D8178944 for ; Mon, 8 Jun 2009 11:25:19 -0700 (PDT)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id 28C18E78DC; Mon, 8 Jun 2009 11:25:19 -0700 (PDT)
To: [email-masked]
Subject: Re: Case-sensitivity in newsgroup names and message-IDs
In-Reply-To: (Charles Lindsey's message of "Mon\, 8 Jun 2009 11\:24\:14 GMT")
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.3 (gnu/linux)
References: <760366CC8D864B7AB7BBC365A2AD8BEA@Iulius>
From: Russ Allbery
Organization: The Eyrie
Date: Mon, 08 Jun 2009 11:25:19 -0700
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

"Charles Lindsey" writes:

> USEFOR makes it clear that all newsgroups names SHOULD be in LC, but
> recognizes that some existing ones might have UC in them, in which
> case offering to NNTP (or to whatever else) exactly what the
> 'official' name of the group is (as it appears in a checkgroups, if
> you are lucky enough to be in a hierarchy that publishes those) is
> likely to succeed (mostly). But USEFOR makes it clear that all _new_
> groups MUST be LC throughout.
>
> So the only thing you are entitled to "expect" is that if you offfer
> LC names in order to retrieve LC groups, then that will _always_ work.
> Anything else is problematical, so don't do it.

The problem is, we don't actually say this anywhere that I can see, and
historically several NNTP documents have claimed that newsgroup names
are case-insensitive. The current NNTP standard says:

Keywords are case insensitive; the case of keywords for commands MUST
be ignored by the server. Command and response arguments are case or
language specific only when stated, either in this document or in
other relevant specifications.

which means in the absence of some specific statement to the contrary,
newsgroup names are case-insensitive. However, in practice, I thought
they were always case-sensitive. However, I've not done a survey of
what news software does outside of INN.

--
Russ Allbery ([email-masked])

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n58IM2lc015048 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 8 Jun 2009 11:22:02 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n58IM2Zv015047; Mon, 8 Jun 2009 11:22:02 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp4.stanford.edu (smtp4.Stanford.EDU [171.67.219.84]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n58ILpTO015019 for ; Mon, 8 Jun 2009 11:22:01 -0700 (MST) (envelope-from [email-masked])
Received: from smtp4.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id F2FC0CA02 for ; Mon, 8 Jun 2009 11:21:50 -0700 (PDT)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp4.stanford.edu (Postfix) with ESMTP id C7D7CC9A4 for ; Mon, 8 Jun 2009 11:21:50 -0700 (PDT)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id 733C6E78DC; Mon, 8 Jun 2009 11:21:50 -0700 (PDT)
To: Usefor WG
Subject: Re: Arguments to checkgroups control messages
In-Reply-To: <[email-masked]> (Harald Alvestrand's message of "Mon\, 08 Jun 2009 15\:53\:42 +0200")
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.3 (gnu/linux)
References: <9C06311F70364908A77C198DE0BA7108@Iulius> <[email-masked]> <0FEFB6325BA64B7AA58D83451B96522C@Iulius> <[email-masked]>
From: Russ Allbery
Organization: The Eyrie
Date: Mon, 08 Jun 2009 11:21:50 -0700
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Harald Alvestrand writes:

> It seems to me that since we're incompatible with something people
> will also know about (wildmat), flagging the incompatibility is
> important.
>
> We can't go on making changes in AUTH48 (it's never going to be
> perfect), but if there's another reason for a delay and a diff, adding
> a sentence pointing out the semantic difference would be good.

I was thinking that we could just say that all the exclusions should go
after the scope, but I forgot that we explicitly intended to permit
multiple scopes for the same checkgroups.

Here's a diff of the proposed change. USEPRO is still blocked on
USEFOR, so we're not holding anything up at the moment, although I agree
that we really need to stop making changes at some point soon. I've not
yet sent it to the RFC Editor pending discussion here.

This patch doesn't point out a difference with wildmat specifically;
instead, it specifies the algorithm that one should use. That avoids
introducing a concept that isn't already present in USEPRO and I think
is even more precise than a caution.

Index: usepro.xml
===================================================================
--- usepro.xml (revision 5949)
+++ usepro.xml (working copy)
@@ -2022,14 +2022,24 @@
the valid groups in all hierarchies or sub-hierarchies with a
prefix listed in the <chkscope> argument, excluding any
sub-hierarchy where the <chkscope> argument is prefixed by
- "!". If no <chkscope> argument is given, it applies to all
+ "!". For complex cases with multiple <chkscope> arguments,
+ start from an empty list of groups, include all groups in the
+ checkgroups control message matching <chkscope> arguments
+ without a "!" prefix, and then exclude all groups matching
+ <chkscope> arguments with a "!" prefix. Follow this method
+ regardless of the order of the <chkscope> arguments in the
+ Control header field.
+
+ If no <chkscope> argument is given, it applies to all
hierarchies for which group statements appear in the body of the
- message. Since much existing software does not honor the
- <chkscope> argument, the body of the checkgroups control
- message MUST NOT contain group statements for newsgroups outside
- the intended scope and SHOULD contain a correct newsgroup list
- even for sub-hierarchies excluded with "!" <chkscope> terms.
- News servers, however, MUST honor <chkscope> as specified
+ message.
+
+ Since much existing software does not honor the <chkscope>
+ argument, the body of the checkgroups control message MUST NOT
+ contain group statements for newsgroups outside the intended
+ scope and SHOULD contain a correct newsgroup list even for
+ sub-hierarchies excluded with "!" <chkscope> terms. News
+ servers, however, MUST honor <chkscope> as specified
here.

The <chksernr> argument may be any positive integer. If

--
Russ Allbery ([email-masked])

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n58IA7VZ014394 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 8 Jun 2009 11:10:07 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n58IA7PC014393; Mon, 8 Jun 2009 11:10:07 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from 42.mail-out.ovh.net (42.mail-out.ovh.net [213.251.189.42]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n58I9tdt014367 for ; Mon, 8 Jun 2009 11:10:06 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 14238 invoked by uid 503); 8 Jun 2009 18:10:07 -0000
Received: from b6.ovh.net (HELO mail240.ha.ovh.net) (213.186.33.56) by 42.mail-out.ovh.net with SMTP; 8 Jun 2009 18:10:07 -0000
Received: from b0.ovh.net (HELO queue-out) (213.186.33.50) by b0.ovh.net with SMTP; 8 Jun 2009 18:09:49 -0000
Received: from aaubervilliers-151-1-23-184.w83-114.abo.wanadoo.fr (HELO Iulius) ([email-masked]) by ns0.ovh.net with SMTP; 8 Jun 2009 18:09:46 -0000
Message-ID:
From: =?iso-8859-1?Q?Julien_=C9LIE?=
To: "Usefor WG"
References: <589228117B674E629B28094618A6BAB1@Iulius><[email-masked]><[email-masked]> <[email-masked]>
In-Reply-To: <[email-masked]>
Subject: Re: multipart/mixed with checkgroups
Date: Mon, 8 Jun 2009 20:09:38 +0200
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="iso-8859-1"; reply-type=original
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6001.18000
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6001.18049
X-Ovh-Tracer-Id: 6046645450358128057
X-Ovh-Remote: 83.114.142.184 (aaubervilliers-151-1-23-184.w83-114.abo.wanadoo.fr)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-Spam-Check: DONE|H 0.5/N
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi Russ,

>> Is existing deployed software compatible with such a SHOULD? If not,
>> I'd say "not worth a change at this time".
>
> No, basically all existing software will process the whole body as a
> checkgroups. I think Julien may have improved how INN now handles this,
> but if so, that's probably the only server that might look at the MIME
> type.

INN 2.5.0 seeks the last application/news-groupinfo entity, if any, in
a newgroup control article.

However, as for checkgroups, I do not see the point in seeking
application/news-checkgroups. Indeed, multipart is not said to be possible
and we want to honour the checkgroups body, be it application/news-checkgroups
or not.
That's why I asked if it could be added in USEPRO that multipart/mixed
could be sent the same way application/news-groupinfo is used for newgroup
control articles. Otherwise, there is not much to do with that new MIME
type... This addition would prepare for a future version of the specification
because new implementations will try to look for an application/news-checkgroups
entity.

--
Julien ÉLIE

« Je suis adroit de la main gauche et je suis gauche de la main droite. »
(Raymond Devos)

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n58Hh421013101 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 8 Jun 2009 10:43:04 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n58Hh4W9013100; Mon, 8 Jun 2009 10:43:04 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp2.stanford.edu (smtp2.Stanford.EDU [171.67.219.82]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n58Hgrpp013088 for ; Mon, 8 Jun 2009 10:43:03 -0700 (MST) (envelope-from [email-masked])
Received: from smtp2.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id D33841704FD for ; Mon, 8 Jun 2009 10:42:52 -0700 (PDT)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp2.stanford.edu (Postfix) with ESMTP id B1CDF170181 for ; Mon, 8 Jun 2009 10:42:52 -0700 (PDT)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id 6C2AAE7A19; Mon, 8 Jun 2009 10:42:52 -0700 (PDT)
To: Usefor WG
Subject: Re: multipart/mixed with checkgroups
In-Reply-To: <[email-masked]> (Harald Alvestrand's message of "Mon\, 08 Jun 2009 15\:54\:45 +0200")
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.3 (gnu/linux)
References: <589228117B674E629B28094618A6BAB1@Iulius> <[email-masked]> <[email-masked]>
From: Russ Allbery
Organization: The Eyrie
Date: Mon, 08 Jun 2009 10:42:52 -0700
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Harald Alvestrand writes:
> Russ Allbery wrote:
>> Julien =C9LIE writes:

>>> Wouldn't it be useful to declare that multipart/mixed SHOULD NOT be
>>> used with checkgroups but that an implementation SHOULD process
>>> checkgroups control articles as MIME messages and search for an
>>> application/news-checkgroups entity?

>> Eh. I'm not sure that human-readable bits in control messages is
>> really that important to support... but I guess it would be
>> occasionally useful.

> Is existing deployed software compatible with such a SHOULD? If not,
> I'd say "not worth a change at this time".

No, basically all existing software will process the whole body as a
checkgroups. I think Julien may have improved how INN now handles this,
but if so, that's probably the only server that might look at the MIME
type.

--=20
Russ Allbery ([email-masked])

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n58GCFE1009018 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 8 Jun 2009 09:12:15 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n58GCFEI009017; Mon, 8 Jun 2009 09:12:15 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-3.gradwell.net (v-smtp-auth-relay-3.gradwell.net [79.135.125.42]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n58GC3ar008994 for ; Mon, 8 Jun 2009 09:12:14 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster#pop3*clerew^man*ac^uk) by v-smtp-auth-relay-3.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.290) id 4a2d3852.a98.0 for [email-masked]; Mon, 8 Jun 2009 17:12:02 +0100 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id n58GC2XB003708 for ; Mon, 8 Jun 2009 17:12:02 +0100 (BST)
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id n58GC1g8003698 for [email-masked]; Mon, 8 Jun 2009 17:12:01 +0100 (BST)
To: [email-masked]
Xref: clerew local.usefor:25098
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: Case-sensitivity in newsgroup names and message-IDs
Message-ID:
X-Newsreader: NN version 6.5.2 (NOV)
References: <760366CC8D864B7AB7BBC365A2AD8BEA@Iulius>
Date: Mon, 8 Jun 2009 11:24:14 GMT
Lines: 39
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In <760366CC8D864B7AB7BBC365A2AD8BEA@Iulius> =?ISO-8859-15?Q?Julien_=C9LIE?= writes:

>Besides, I read in RFC 5536 (USEFOR):

> NOTE: All-digit s conflict with one widely used storage
> scheme for articles. Mixed-case groups cause confusion between
> systems with case-sensitive matching and systems with case-
> insensitive matching of s.

>It does not say pretty well what is the expected behaviour! For
>message-IDs, only s are dealt with. What for ?!?
>(In RFC 5322? but I did not find it clearly.)
>And nothing explicitly states that newsgroups are case-sensitive...

That is because various systems treat them in various ways :-( .

USEFOR makes it clear that all newsgroups names SHOULD be in LC, but
recognizes that some existing ones might have UC in them, in which case
offering to NNTP (or to whatever else) exactly what the 'official' name of
the group is (as it appears in a checkgroups, if you are lucky enough to
be in a hierarchy that publishes those) is likely to succeed (mostly). But
USEFOR makes it clear that all _new_ groups MUST be LC throughout.

So the only thing you are entitled to "expect" is that if you offfer LC
names in order to retrieve LC groups, then that will _always_ work.
Anything else is problematical, so don't do it.

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n58Dspqs002309 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 8 Jun 2009 06:54:51 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n58DspLS002308; Mon, 8 Jun 2009 06:54:51 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from eikenes.alvestrand.no (eikenes.alvestrand.no [158.38.152.233]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n58Dsoj3002302 for ; Mon, 8 Jun 2009 06:54:50 -0700 (MST) (envelope-from [email-masked])
Received: from localhost (localhost [127.0.0.1]) by eikenes.alvestrand.no (Postfix) with ESMTP id F0AC639E26D; Mon, 8 Jun 2009 15:54:49 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at eikenes.alvestrand.no
Received: from eikenes.alvestrand.no ([127.0.0.1]) by localhost (eikenes.alvestrand.no [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id IkSCLkCrc46G; Mon, 8 Jun 2009 15:54:45 +0200 (CEST)
Received: from hta-warp.trd.corp.google.com (unknown [195.18.164.170]) by eikenes.alvestrand.no (Postfix) with ESMTPS id 65F4539E1A9; Mon, 8 Jun 2009 15:54:45 +0200 (CEST)
Message-ID: <[email-masked]>
Date: Mon, 08 Jun 2009 15:54:45 +0200
From: Harald Alvestrand
User-Agent: Thunderbird 2.0.0.21 (X11/20090318)
MIME-Version: 1.0
To: Russ Allbery
CC: Usefor WG
Subject: Re: multipart/mixed with checkgroups
References: <589228117B674E629B28094618A6BAB1@Iulius> <[email-masked]>
In-Reply-To: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: quoted-printable
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Russ Allbery wrote:
> Julien =C9LIE writes:
>
> =20
>> Wouldn't it be useful to declare that multipart/mixed SHOULD NOT be
>> used with checkgroups but that an implementation SHOULD process
>> checkgroups control articles as MIME messages and search for
>> an application/news-checkgroups entity?
>> =20
>
> Eh. I'm not sure that human-readable bits in control messages is reall=
y
> that important to support... but I guess it would be occasionally
> useful.
>
> =20
Is existing deployed software compatible with such a SHOULD?
If not, I'd say "not worth a change at this time".

Harald

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n58Ds03Y002278 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 8 Jun 2009 06:54:00 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n58Ds0nd002277; Mon, 8 Jun 2009 06:54:00 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from eikenes.alvestrand.no (eikenes.alvestrand.no [158.38.152.233]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n58DrmFa002268 for ; Mon, 8 Jun 2009 06:53:59 -0700 (MST) (envelope-from [email-masked])
Received: from localhost (localhost [127.0.0.1]) by eikenes.alvestrand.no (Postfix) with ESMTP id EC45B39E26D; Mon, 8 Jun 2009 15:53:47 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at eikenes.alvestrand.no
Received: from eikenes.alvestrand.no ([127.0.0.1]) by localhost (eikenes.alvestrand.no [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id gJ8t85q66vUm; Mon, 8 Jun 2009 15:53:43 +0200 (CEST)
Received: from hta-warp.trd.corp.google.com (unknown [195.18.164.170]) by eikenes.alvestrand.no (Postfix) with ESMTPS id 5EB6339E1A9; Mon, 8 Jun 2009 15:53:43 +0200 (CEST)
Message-ID: <[email-masked]>
Date: Mon, 08 Jun 2009 15:53:42 +0200
From: Harald Alvestrand
User-Agent: Thunderbird 2.0.0.21 (X11/20090318)
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Julien_=C9LIE?=
CC: Usefor WG
Subject: Re: Arguments to checkgroups control messages
References: <9C06311F70364908A77C198DE0BA7108@Iulius> <[email-masked]> <0FEFB6325BA64B7AA58D83451B96522C@Iulius>
In-Reply-To:
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: quoted-printable
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Julien =C9LIE wrote:
>
> Hi all,
>
>>>> These lines are equivalent:
>>>>
>>>> Control: checkgroups de !de.alt #2009021301
>>>> Control: checkgroups !de.alt de #2009021301
>>>>
>>>> Maybe it should be highlighted in the text (so that it is not
>>>> the last matching entry that prevails for each newsgroup).
>
> The problems comes from that, in RFC 3977 (NNTP), when something
> is matched, it is always because of the last entry:
>
> 4.2. Wildmat Semantics
>
> A wildmat is tested against a string and either matches or does not
> match. To do this, each constituent is matched
> against the string, and the rightmost pattern that matches is
> identified. If that is not preceded with "!", the
> whole wildmat matches. If it is preceded by "!", or if no pattern> matches, the whole wildmat does not match.
>
> For example, consider the wildmat "a*,!*b,*c*":
>
> o The string "aaa" matches because the rightmost match is with "a*".=

>
> o The string "abb" does not match because the rightmost match is
> with "*b".
>
>
> In RFC 5537 (USEPRO), the order does not matter and the semantics
> of "de !de.alt" works differently.
> That's why this way of parsing should be better highlighted in USEPRO.
>
It seems to me that since we're incompatible with something people will=20
also know about (wildmat), flagging the incompatibility is important.

We can't go on making changes in AUTH48 (it's never going to be=20
perfect), but if there's another reason for a delay and a diff, adding a =

sentence pointing out the semantic difference would be good.

Harald

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n584CbYv075803 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Sun, 7 Jun 2009 21:12:38 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n584CbeH075802; Sun, 7 Jun 2009 21:12:37 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp2.stanford.edu (smtp2.Stanford.EDU [171.67.219.82]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n584CQiF075789 for ; Sun, 7 Jun 2009 21:12:37 -0700 (MST) (envelope-from [email-masked])
Received: from smtp2.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id A8C7F1703EA for ; Sun, 7 Jun 2009 21:12:26 -0700 (PDT)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp2.stanford.edu (Postfix) with ESMTP id 5803B170471 for ; Sun, 7 Jun 2009 21:12:26 -0700 (PDT)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id E6BC4E7A19; Sun, 7 Jun 2009 21:12:25 -0700 (PDT)
To: [email-masked]
From: [email-masked]
Subject: Commit in docs/usefor (usepro.xml)
User-Agent: svnlog/1.15
Message-Id: <[email-masked]>
Date: Sun, 7 Jun 2009 21:12:25 -0700 (PDT)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Date: Sunday, June 7, 2009 @ 21:12:25
Author: eagle
Revision: 5949

Further updates to the message/news and application/news-transmission
IANA registration templates to match what IANA currently has in their
registration database and, for message/news, the original registration
from Henry Spencer.

Change the security considerations for application/news-transmission to
use the superior wording from Henry Spencer's message/news registration.

Modified:
docs/usefor/usepro.xml

Modified: docs/usefor/usepro.xml
===================================================================
--- docs/usefor/usepro.xml 2009-06-08 01:48:50 UTC (rev 5948)
+++ docs/usefor/usepro.xml 2009-06-08 04:12:25 UTC (rev 5949)
@@ -1498,12 +1498,14 @@
registered with IANA as provided for in .

- The media type message/news, as previously registered with
- IANA, is hereby declared obsolete. It was never widely
- implemented, and its default treatment as application/octet-stream
- by agents that did not recognize it was counter-productive. The
- media type message/rfc822 (defined in Section 5.2.1 of
- ) SHOULD be used in its place.
+ The media type message/news, as previously registered with IANA,
+ is hereby declared obsolete. The intent of this media type was to
+ define a standard way of transmitting news articles via mail for
+ human reading. However, it was never widely implemented, and its
+ default treatment as application/octet-stream by agents that did not
+ recognize it was counter-productive. The media type message/rfc822
+ (defined in Section 5.2.1 of ) SHOULD be
+ used in its place.

The updated MIME media type definition of message/news
@@ -1516,18 +1518,30 @@

Required parameters: none

- Optional parameters: charset, compare message/rfc822
+ Optional parameters: none

- Encoding considerations: compare message/rfc822 (RFC 2046)
+ Encoding considerations: same as message/rfc822

- Security considerations: OBSOLETE, use message/rfc822.
+ Security considerations: News articles may constitute "control
+ messages", which can have effects on a
+ host's news system beyond just addition
+ of information. Since control messages
+ may occur in normal news flow, most hosts
+ are suitably defended against undesired
+ effects already, but transmission of news
+ articles via mail may bypass
+ firewall-type defenses. Reading a news
+ article transmitted by mail involves no
+ hazards beyond those of mail, but
+ submitting it to news software for
+ processing should be done with care.

Interoperability considerations:
Rarely used, and therefore often
handled as application/octet-stream.
Disposition should by default be inline.

- Published specification: RFC 1036, RFC 5537
+ Published specification: RFC 5537

Applications that use this media type:
Some old mail and news user agents.
@@ -1571,12 +1585,17 @@
supplied to ensure correct transmission
over some 7bit transport medium.

- Security considerations: A news article may be a control message
- that, if processed, could have effects on
- the recipient host's system beyond just
- storage of the article.
+ Security considerations: News articles may constitute "control
+ messages", which can have effects on a
+ host's news system beyond just addition
+ of information. Since control messages
+ may occur in normal news flow, most hosts
+ are suitably defended against undesired
+ effects already, but transmission of news
+ articles via mail may bypass
+ firewall-type defenses.

- Published specification: RFC 1036, RFC 5537
+ Published specification: RFC 5537

Body part: A complete proto-article ready for
injection into Netnews or an article

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n55IV89N047168 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Fri, 5 Jun 2009 11:31:09 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n55IV8bm047167; Fri, 5 Jun 2009 11:31:08 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp4.stanford.edu (smtp4.Stanford.EDU [171.67.219.84]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n55IUwLl047153 for ; Fri, 5 Jun 2009 11:31:08 -0700 (MST) (envelope-from [email-masked])
Received: from smtp4.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id C9561C5CF for ; Fri, 5 Jun 2009 11:30:57 -0700 (PDT)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp4.stanford.edu (Postfix) with ESMTP id A63A4C5C0 for ; Fri, 5 Jun 2009 11:30:56 -0700 (PDT)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id 805FDE7A19; Fri, 5 Jun 2009 11:30:56 -0700 (PDT)
To: "Usefor WG"
Subject: Re: multipart/mixed with checkgroups
In-Reply-To: <589228117B674E629B28094618A6BAB1@Iulius> ("Julien =?iso-8859-1?Q?=C9LIE=22's?= message of "Fri\, 5 Jun 2009 20\:21\:26 +0200")
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.3 (gnu/linux)
References: <589228117B674E629B28094618A6BAB1@Iulius>
From: Russ Allbery
Organization: The Eyrie
Date: Fri, 05 Jun 2009 11:30:56 -0700
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Julien =C9LIE writes:

> Wouldn't it be useful to declare that multipart/mixed SHOULD NOT be
> used with checkgroups but that an implementation SHOULD process
> checkgroups control articles as MIME messages and search for
> an application/news-checkgroups entity?

Eh. I'm not sure that human-readable bits in control messages is really
that important to support... but I guess it would be occasionally
useful.

--=20
Russ Allbery ([email-masked])

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n55ILpCP046739 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Fri, 5 Jun 2009 11:21:51 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n55ILpMk046738; Fri, 5 Jun 2009 11:21:51 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from 27.mail-out.ovh.net (27.mail-out.ovh.net [91.121.30.210]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n55ILd4u046715 for ; Fri, 5 Jun 2009 11:21:50 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 24519 invoked by uid 503); 5 Jun 2009 19:24:14 -0000
Received: from gw2.ovh.net (HELO mail426.ha.ovh.net) (213.251.189.202) by 27.mail-out.ovh.net with SMTP; 5 Jun 2009 19:24:14 -0000
Received: from b0.ovh.net (HELO queue-out) (213.186.33.50) by b0.ovh.net with SMTP; 5 Jun 2009 18:21:36 -0000
Received: from aaubervilliers-151-1-23-184.w83-114.abo.wanadoo.fr (HELO Iulius) ([email-masked]) by ns0.ovh.net with SMTP; 5 Jun 2009 18:21:34 -0000
Message-ID: <589228117B674E629B28094618A6BAB1@Iulius>
From: =?ISO-8859-15?Q?Julien_=C9LIE?=
To: "Usefor WG"
Subject: multipart/mixed with checkgroups
Date: Fri, 5 Jun 2009 20:21:26 +0200
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="ISO-8859-15"; reply-type=original
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6001.18000
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6001.18049
X-Ovh-Tracer-Id: 7074592065728019897
X-Ovh-Remote: 83.114.142.184 (aaubervilliers-151-1-23-184.w83-114.abo.wanadoo.fr)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-Spam-Check: DONE|H 0.5/N
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi,

If multipart/mixed is used with checkgroups, it breaks all existing
implementations because the body of the message should currently
consist only of newsgroups.

However, multipart/mixed can be used with newgroup messages. And
application/news-groupinfo can lack the "For your newsgroups file:"
line.

Wouldn't it be useful to declare that multipart/mixed SHOULD NOT be
used with checkgroups but that an implementation SHOULD process
checkgroups control articles as MIME messages and search for
an application/news-checkgroups entity?

It would then allow to eventually have the possibility to send
multipart checkgroups and therefore provide a description
of the hierarchy within a text/plain entity in the checkgroups
message.
(That possibility could be added in xx years when a successor
to USEFOR is written...)

--
Julien ÉLIE

« Travailler dur n'a jamais tué personne,
mais pourquoi prendre le risque ? » (Edgar Bergen)

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n555dtJo099183 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Thu, 4 Jun 2009 22:39:55 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n555dtcc099181; Thu, 4 Jun 2009 22:39:55 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from 42.mail-out.ovh.net (42.mail-out.ovh.net [213.251.189.42]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n555dh8d099167 for ; Thu, 4 Jun 2009 22:39:54 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 29310 invoked by uid 503); 5 Jun 2009 05:39:54 -0000
Received: from b7.ovh.net (HELO mail421.ha.ovh.net) (213.186.33.57) by 42.mail-out.ovh.net with SMTP; 5 Jun 2009 05:39:54 -0000
Received: from b0.ovh.net (HELO queue-out) (213.186.33.50) by b0.ovh.net with SMTP; 5 Jun 2009 05:39:40 -0000
Received: from aaubervilliers-151-1-23-184.w83-114.abo.wanadoo.fr (HELO Iulius) ([email-masked]) by ns0.ovh.net with SMTP; 5 Jun 2009 05:39:38 -0000
Message-ID:
From: =?iso-8859-1?Q?Julien_=C9LIE?=
To: "Usefor WG"
References: <9C06311F70364908A77C198DE0BA7108@Iulius> <[email-masked]> <0FEFB6325BA64B7AA58D83451B96522C@Iulius>
In-Reply-To: <0FEFB6325BA64B7AA58D83451B96522C@Iulius>
Subject: Re: Arguments to checkgroups control messages
Date: Fri, 5 Jun 2009 07:39:32 +0200
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="iso-8859-1"; reply-type=response
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6001.18000
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6001.18049
X-Ovh-Tracer-Id: 12653426103430348217
X-Ovh-Remote: 83.114.142.184 (aaubervilliers-151-1-23-184.w83-114.abo.wanadoo.fr)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-Spam-Check: DONE|H 0.5/N
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi all,

>>> These lines are equivalent:
>>>
>>> Control: checkgroups de !de.alt #2009021301
>>> Control: checkgroups !de.alt de #2009021301
>>>
>>> Maybe it should be highlighted in the text (so that it is not
>>> the last matching entry that prevails for each newsgroup).

The problems comes from that, in RFC 3977 (NNTP), when something
is matched, it is always because of the last entry:

4.2. Wildmat Semantics

A wildmat is tested against a string and either matches or does not
match. To do this, each constituent is matched
against the string, and the rightmost pattern that matches is
identified. If that is not preceded with "!", the
whole wildmat matches. If it is preceded by "!", or if no matches, the whole wildmat does not match.

For example, consider the wildmat "a*,!*b,*c*":

o The string "aaa" matches because the rightmost match is with "a*".

o The string "abb" does not match because the rightmost match is
with "*b".

In RFC 5537 (USEPRO), the order does not matter and the semantics
of "de !de.alt" works differently.
That's why this way of parsing should be better highlighted in USEPRO.

--
Julien ÉLIE

« Inter pradendum sit saepe parumque bibendum. »

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n555dtsK099184 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Thu, 4 Jun 2009 22:39:55 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n555dtFM099182; Thu, 4 Jun 2009 22:39:55 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from 42.mail-out.ovh.net (42.mail-out.ovh.net [213.251.189.42]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n555dm7l099168 for ; Thu, 4 Jun 2009 22:39:54 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 29506 invoked by uid 503); 5 Jun 2009 05:40:00 -0000
Received: from b7.ovh.net (HELO mail421.ha.ovh.net) (213.186.33.57) by 42.mail-out.ovh.net with SMTP; 5 Jun 2009 05:40:00 -0000
Received: from b0.ovh.net (HELO queue-out) (213.186.33.50) by b0.ovh.net with SMTP; 5 Jun 2009 05:39:46 -0000
Received: from aaubervilliers-151-1-23-184.w83-114.abo.wanadoo.fr (HELO Iulius) ([email-masked]) by ns0.ovh.net with SMTP; 5 Jun 2009 05:39:45 -0000
Message-ID: <760366CC8D864B7AB7BBC365A2AD8BEA@Iulius>
From: =?ISO-8859-15?Q?Julien_=C9LIE?=
To: "Usefor WG"
Subject: Case-sensitivity in newsgroup names and message-IDs
Date: Fri, 5 Jun 2009 07:39:39 +0200
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="ISO-8859-15"; reply-type=original
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6001.18000
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6001.18049
X-Ovh-Tracer-Id: 12655396428278463929
X-Ovh-Remote: 83.114.142.184 (aaubervilliers-151-1-23-184.w83-114.abo.wanadoo.fr)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-Spam-Check: DONE|H 0.5/N
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi,

Following a discussion between Mateusz Viste, Russ Allbery, Urs Janßen
and me on news.software.nntp (see ),
it appears there is a problem with case-sensitivity of a newsgroup name
and a message-ID.

The following paragraph from RFC 3977 applies:

3.1. Commands and Responses

Keywords are case insensitive; the case of keywords for commands MUST
be ignored by the server. Command and response arguments are case or
language specific only when stated, either in this document or in
other relevant specifications.

In practice, news servers implement:

GROUP news.software.nntp
211 3219 149 6892 news.software.nntp

GROUP news.software.NNTP
411 No such group news.software.NNTP

that is to say that news.software.nntp and news.software.NNTP are *not*
the same newsgroup. The same behaviour occurs if I use:

Newsgroups: news.software.NNTP

in the headers of an article. The post is rejected.

Message-IDs are also parsed case-sensitively but that fact is not
said in RFC 3977.

Besides, I read in RFC 5536 (USEFOR):

Some software will try to match the of a in a
case-insensitive fashion; some will match it in a case-sensitive
fashion. Implementations MUST NOT generate a Message-ID where the
only difference from another Message-ID is the case of characters in
the part.

NOTE: All-digit s conflict with one widely used storage
scheme for articles. Mixed-case groups cause confusion between
systems with case-sensitive matching and systems with case-
insensitive matching of s.

It does not say pretty well what is the expected behaviour! For
message-IDs, only s are dealt with. What for ?!?
(In RFC 5322? but I did not find it clearly.)
And nothing explicitly states that newsgroups are case-sensitive...

In Son of 1036, it was said:

| 2.5. Case-Sensitivity
|
| Text in newsgroup names, header parameters, etc. is case-
| sensitive unless stated otherwise.
|
| NOTE: This is at variance with MAIL, which is
| case-insensitive unless stated otherwise, but is
| consistent with news historical practice and
| existing news software. See the comments on back-
| ward compatibility in section 1.

| As with From addresses, a message ID's local part is case-
| sensitive and its domain is case-insensitive. The "<" and
| ">" are parts of the message ID, not peculiarities of the
| Message-ID header.

| NOTE: Possibly newsgroup names should have been
| case-insensitive, but all existing software treats
| them as case-sensitive. (RFC 977 [rrr] claims
| that they are case-insensitive in NNTP, but exist-
| ing implementations are believed to ignore this.)
| The simplest solution is just to ban use of upper-
| case letters, since no widespread newsgroup name
| uses them anyway; this avoids any possibility of
| confusion.

Such comments are no longer present in USEFOR.
Shouldn't something be done on that subject?

--
Julien ÉLIE

« Les idées fausses ne sont pas toujours mauvaises. » (Marcel Aymé)

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n52HAMFr031163 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Tue, 2 Jun 2009 10:10:22 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n52HAMvC031162; Tue, 2 Jun 2009 10:10:22 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from 42.mail-out.ovh.net (42.mail-out.ovh.net [213.251.189.42]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n52HABaW031131 for ; Tue, 2 Jun 2009 10:10:21 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 26072 invoked by uid 503); 2 Jun 2009 17:10:21 -0000
Received: from b6.ovh.net (HELO mail440.ha.ovh.net) (213.186.33.56) by 42.mail-out.ovh.net with SMTP; 2 Jun 2009 17:10:21 -0000
Received: from b0.ovh.net (HELO queue-out) (213.186.33.50) by b0.ovh.net with SMTP; 2 Jun 2009 17:10:08 -0000
Received: from aaubervilliers-151-1-45-218.w83-114.abo.wanadoo.fr (HELO Iulius) ([email-masked]) by ns0.ovh.net with SMTP; 2 Jun 2009 17:10:06 -0000
Message-ID: <0FEFB6325BA64B7AA58D83451B96522C@Iulius>
From: =?iso-8859-1?Q?Julien_=C9LIE?=
To: "Usefor WG"
References: <9C06311F70364908A77C198DE0BA7108@Iulius> <[email-masked]>
In-Reply-To: <[email-masked]>
Subject: Re: Arguments to checkgroups control messages
Date: Tue, 2 Jun 2009 19:10:03 +0200
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="iso-8859-1"; reply-type=original
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6001.18000
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6001.18049
X-Ovh-Tracer-Id: 6696289697567145401
X-Ovh-Remote: 83.114.135.218 (aaubervilliers-151-1-45-218.w83-114.abo.wanadoo.fr)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-Spam-Check: DONE|H 0.5/N
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

First of all, thanks, Russ, for your response on the RFC
editor's commit.

>> chkscope = 1*( 1*WSP ["!"] newsgroup-name )
>>
>> These lines are equivalent:
>>
>> Control: checkgroups de !de.alt #2009021301
>> Control: checkgroups !de.alt de #2009021301
>>
>> Maybe it should be highlighted in the text (so that it is not
>> the last matching entry that prevails for each newsgroup).
>>
>> By the way, it should also be said that every newsgroup should/must
>> be listed only *once* in a checkgroups. I did not find the
>> information stated clearly.
>
> Hm -- I agree with both of these, but it's likely to go through another
> round of AD or chair approval since it's beyond what the RFC Editor can
> just change. I'm not sure if the change is worth it, but I can prepare
> a diff if people feel like it is.

I believe it is worthwhile... because of this mere sentence
on news.software.nntp :

>> Besides, the patch totally breaks "checkgroups !hr.admin hr".
>
> Which, as I understand it, is incorrect - as exclusion patterns must trail.

Amusing it came up only a few hours after my original post to
ask for a better highlighting of this fact in USEPRO!
I believe it would be useful to future implementors...

--
Julien ÉLIE

« Il vaut mieux avoir de l'avenir que du passé. »

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n51LKTMl051034 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 1 Jun 2009 14:20:29 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n51LKTx4051033; Mon, 1 Jun 2009 14:20:29 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp2.stanford.edu (smtp2.Stanford.EDU [171.67.219.82]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n51LKIbN051013 for ; Mon, 1 Jun 2009 14:20:28 -0700 (MST) (envelope-from [email-masked])
Received: from smtp2.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id 3E8A9170AD6 for ; Mon, 1 Jun 2009 14:20:18 -0700 (PDT)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp2.stanford.edu (Postfix) with ESMTP id 1BA1A170AEF for ; Mon, 1 Jun 2009 14:20:17 -0700 (PDT)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id BC440E7937; Mon, 1 Jun 2009 14:20:17 -0700 (PDT)
To: "Usefor WG"
Subject: Re: Arguments to checkgroups control messages
In-Reply-To: <9C06311F70364908A77C198DE0BA7108@Iulius> ("Julien =?iso-8859-1?Q?=C9LIE=22's?= message of "Mon\, 1 Jun 2009 10\:23\:07 +0200")
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.3 (gnu/linux)
References: <9C06311F70364908A77C198DE0BA7108@Iulius>
From: Russ Allbery
Organization: The Eyrie
Date: Mon, 01 Jun 2009 14:20:17 -0700
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Julien =C9LIE writes:

> chkscope =3D 1*( 1*WSP ["!"] newsgroup-name )
>
> These lines are equivalent:
>
> Control: checkgroups de !de.alt #2009021301
> Control: checkgroups !de.alt de #2009021301
>
> Maybe it should be highlighted in the text (so that it is not
> the last matching entry that prevails for each newsgroup).
>
> By the way, it should also be said that every newsgroup should/must
> be listed only *once* in a checkgroups. I did not find the
> information stated clearly.

Hm -- I agree with both of these, but it's likely to go through another
round of AD or chair approval since it's beyond what the RFC Editor can
just change. I'm not sure if the change is worth it, but I can prepare
a diff if people feel like it is.

--=20
Russ Allbery ([email-masked])

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n51LIttW050882 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 1 Jun 2009 14:18:55 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n51LItmt050881; Mon, 1 Jun 2009 14:18:55 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp4.stanford.edu (smtp4.Stanford.EDU [171.67.219.84]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n51LIi9G050868 for ; Mon, 1 Jun 2009 14:18:54 -0700 (MST) (envelope-from [email-masked])
Received: from smtp4.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id 18CE5C9A4 for ; Mon, 1 Jun 2009 14:18:44 -0700 (PDT)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp4.stanford.edu (Postfix) with ESMTP id D4373C961 for ; Mon, 1 Jun 2009 14:18:43 -0700 (PDT)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id 7DFCEE7937; Mon, 1 Jun 2009 14:18:43 -0700 (PDT)
To: "Usefor WG"
Subject: Re: Missing RFC editor commit
In-Reply-To: ("Julien =?iso-8859-1?Q?=C9LIE=22's?= message of "Sun\, 31 May 2009 22\:56\:10 +0200")
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.3 (gnu/linux)
References: <0000428F2AD640CABF5EFC698B826135@Iulius> <[email-masked]>
From: Russ Allbery
Organization: The Eyrie
Date: Mon, 01 Jun 2009 14:18:43 -0700
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Julien =C9LIE writes:

> bar.isp.example was not a correct <path-identity> for that
> - source but simply that that identity did not match the
> + source but simply that the identity did not match the
> expectations of foo-news.)
>
> Isn't there something better in English to say "that" in that case?
> Because we have in the same sentence "that source" and "the identity";
> it would be better to keep the meaning of "that identity".

It's a style thing, and I assume the RFC Editor uses a fairly
conservative English style that avoids all doubled words even when
grammatically correct. "the" is sufficiently specific in English to
serve as "that" in a pinch, so I was okay with the change.

> @@ -986,8 +1010,7 @@
> If it implements one of the mechanisms described in target=3D"history" />, this means that it MUST reject any
> article whose date falls outside the cutoff interval since it
> - won't know whether such articles had been accepted previously
> - or not.
> + won't know whether or not such articles had been accepted pr=
eviously.

> Is "or not" necessary? Isn't "it won't know whether such articles" enoug=
h?
> (It happens twice in the text.)

It's not strictly necessary, but it doesn't hurt either. It's better
than what it was, which had the "or not" at the end of the sentence.

> - corresponding unique identifier of the other medium, but if
> - not at least as a comment in the message. This helps
> - greatly with preventing loops.
> + corresponding unique identifier of the other
> + medium. However, if it is not preserved in this way,
> + then at least it should be preserved
> + as a comment in the message. This helps greatly with
> + preventing loops.

> Missing space before "However".

I'm pretty sure that the rendering process smashes my "traditional"
double-spacing for sentences anyway, so it ends up not mattering.

> @@ -2412,8 +2497,9 @@
> Additional media types are defined for improved
> structuring, specification, and automated processing of
> - control messages ( and - target=3D"checkgroup" />).
> + control messages (Sections + format=3D"counter" /> and + target=3D"checkgroup" format=3D"counter" />).

> It makes me notice that there is an inconsistency between "(Section
> x.y)" and "(see Section x.y)" or equivalent in the RFC. Most of the
> references use "see" but a few, like this one, do not. Shouldn't it
> be homogenized?

This was one of the ones where I just left it at whatever the RFC Editor
did, since they seem to have some sort of policy and style guide for it.

--=20
Russ Allbery ([email-masked])

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n518NQSD085968 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 1 Jun 2009 01:23:26 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n518NQGI085967; Mon, 1 Jun 2009 01:23:26 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from 39.mail-out.ovh.net (39.mail-out.ovh.net [213.251.138.60]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n518NEGd085933 for ; Mon, 1 Jun 2009 01:23:25 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 13351 invoked by uid 503); 1 Jun 2009 08:23:35 -0000
Received: from b9.ovh.net (HELO mail147.ha.ovh.net) (213.186.33.59) by 39.mail-out.ovh.net with SMTP; 1 Jun 2009 08:23:35 -0000
Received: from b0.ovh.net (HELO queue-out) (213.186.33.50) by b0.ovh.net with SMTP; 1 Jun 2009 08:23:19 -0000
Received: from aaubervilliers-151-1-45-218.w83-114.abo.wanadoo.fr (HELO Iulius) ([email-masked]) by ns0.ovh.net with SMTP; 1 Jun 2009 08:23:17 -0000
Message-ID: <9C06311F70364908A77C198DE0BA7108@Iulius>
From: =?ISO-8859-15?Q?Julien_=C9LIE?=
To: "Usefor WG"
Subject: Arguments to checkgroups control messages
Date: Mon, 1 Jun 2009 10:23:07 +0200
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="ISO-8859-15"; reply-type=original
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6001.18000
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6001.18049
X-Ovh-Tracer-Id: 10373197318282280377
X-Ovh-Remote: 83.114.135.218 (aaubervilliers-151-1-45-218.w83-114.abo.wanadoo.fr)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-Spam-Check: DONE|H 0.5/N
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi,

chkscope = 1*( 1*WSP ["!"] newsgroup-name )

These lines are equivalent:

Control: checkgroups de !de.alt #2009021301
Control: checkgroups !de.alt de #2009021301

Maybe it should be highlighted in the text (so that it is not
the last matching entry that prevails for each newsgroup).

By the way, it should also be said that every newsgroup should/must
be listed only *once* in a checkgroups. I did not find the
information stated clearly.

--
Julien ÉLIE

« L'atour est fiel aux Huns valides. »